ubuntu/+source/aptitude:ubuntu/cosmic

Last commit made on 2018-09-03
Get this branch:
git clone -b ubuntu/cosmic https://git.launchpad.net/ubuntu/+source/aptitude
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/cosmic
Repository:
lp:ubuntu/+source/aptitude

Recent commits

d698d36... by Julian Andres Klode on 2018-09-03

Import patches-unapplied version 0.8.10-9ubuntu4 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 50c0dd2f33f5272cadac2dcb25f778c69f3686c4

New changelog entries:
  * Adjust multi_index_container use for boost >= 1.66

50c0dd2... by Matthias Klose on 2018-07-17

Import patches-unapplied version 0.8.10-9ubuntu3 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: bd4618e702e504cd3ee932303b23a60782240acd

New changelog entries:
  * No-change rebuild for boost soname change.

bd4618e... by Julian Andres Klode on 2018-05-03

Import patches-unapplied version 0.8.10-9ubuntu2 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 4543d450754a2e6b228ca374b96ff292bad91243

New changelog entries:
  * Allow older gmock so we can build again

4543d45... by Julian Andres Klode on 2018-05-03

Import patches-unapplied version 0.8.10-9ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: d7426a553716c44c41ed1a45d9a1240a7a6fe0ed

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Drop aptitude-doc to Suggests.
    - 03_branding: Ubuntu branding.
    - 04_changelog: Take changelogs from changelogs.ubuntu.com.
    - 14_html2text_preferred: Switch back to html2text in favor of elinks,
      since html2text is in main and elinks isn't. Convert all files to utf-8
      encoding as it is better then ascii for iso-8859-1 (English docs).
    - Try forcing -O2 build, to resolve FTBFS on ppc64el.

d7426a5... by "Manuel A. Fernandez Montecelo" <email address hidden> on 2018-04-27

Import patches-unapplied version 0.8.10-9 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7afb79c6f8d45f07be1d1cb0086b581a700cd97d

New changelog entries:
  * Release to unstable

7afb79c... by "Manuel A. Fernandez Montecelo" <email address hidden> on 2018-04-27

Import patches-unapplied version 0.8.10-8 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 7f468a254a0734ca80a0ae68812db83b8dd6fd47

New changelog entries:
  * google-mock does not provide the -dev files anymore, this was changed
    in the last few days (#896559) and was not announced (at least not
    through BTS to reverse-dependencies like aptitude)
    - Set build depends to libgmock-dev and libgtest-dev, both (>= 1.8.0-9)
  [ Sven Joachim ]
  * Build-Depend on libcwidget-dev (>= 0.5.17-8) and
    libncurses-dev (>= 6.1+20180210) (Closes: #891239).
  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 4.1.4 (no changes needed)
  * Switch Vcs-* fields from Alitoh to Salsa

7f468a2... by "Manuel A. Fernandez Montecelo" <email address hidden> on 2018-01-16

Import patches-unapplied version 0.8.10-6 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 97a711b4b74844f0cde7cd5339bc0fe79fa2a93c

New changelog entries:
  * Bump Breaks/Replaces of aptitude-common to aptitude (<< 0.8.10-4) from
    an ancient version 0.6.8-1, because in 0.8.10-4 we moved the manpages
    from the main package to -common without adding these changes.
    (Closes: #887421)

97a711b... by "Manuel A. Fernandez Montecelo" <email address hidden> on 2018-01-15

Import patches-unapplied version 0.8.10-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2afae5dca6310305d1b6b6beee13a63d8d60e7cb

New changelog entries:
  * Release to unstable
  * Also move po4a to Build-Depends-Indep, only needed for doc translations

2afae5d... by "Manuel A. Fernandez Montecelo" <email address hidden> on 2018-01-14

Import patches-unapplied version 0.8.10-4 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: ec33b244087edb33a586ce3e7e8b08fe8c0b8104

New changelog entries:
  * Improve builds using -indep/-arch and skipping docs for -arch
    + Move doc-related dependencies to Build-Depends-Indep, create
      separate -indep/-arch targets.
      In this way we can disable building the docs for each arch; and
      obtain huge savings in terms of resources (time, disk, network),
      because some of these dependencies pull lots of packages.
      The doc-related dependencies are:
      - docbook-xml
      - docbook-xsl
      - elinks
      - librsvg2-bin
      - xsltproc
    + Move man pages to aptitude-common, it's depended on by the binary
      package and so we save ~200KB in the arch packages.
      The biggest saving is that we can avoid building docs in -arch and
      having to pull the dependencies explained in 1).
    + Disable tests for boost headers at configure time.
      They take 30~50 seconds in fast computers, and haven't failed for a
      few years, so they provide very little value. If there's something
      wrong, the compilations will fail only a few seconds later.
      In any case, they could pass the initial test and fail later anyway,
      Boost libraries sometimes change APIs in incompatible ways.
  * Remove special workaround in d/rules due to bug #580085 from 2010 in
    s390 (now superseded by s390x) and sh4, forcing "gcc -fno-gcse"
    (optimisation enabled by default at levels -O2, -O3 and -Os)

ec33b24... by "Manuel A. Fernandez Montecelo" <email address hidden> on 2018-01-04

Import patches-unapplied version 0.8.10-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0be252508bcc6d0c074c9048c395944b9983a0d6

New changelog entries:
  * Reinstate elinks and librsvg2-bin as arch-dependent Build-Depends to
    avoid FTBFS in buildds (they appeared to be working due to a flaw when
    testing)
  [ Manuel A. Fernandez Montecelo ]
  * Move elinks and librsvg2-bin to Build-Depends-Indep, needed only for
    arch:all doc packages
  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.